gnutls_pkcs11_obj_get_flags(3)

NAME
gnutls_pkcs11_obj_get_flags - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_obj_get_flags(gnutls_pkcs11_obj_t obj, unsigned int * oflags);

ARGUMENTS

gnutls_pkcs11_obj_t obj
    The pkcs11 object

unsigned int * oflags
    Will hold the output flags

DESCRIPTION
This function will return the flags of the object. The oflags will be flags from gnutls_pkcs11_obj_flags. That is, the GNUTLS_PKCS11_OBJ_FLAG_MARK_* flags.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/